package com.yihu.jw.entity.care.doorCoach;


import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;


/**
* 上门辅导服务工单实体
*
* @author Administrator on  2019年03月19日
*
*/
@Entity
@Table(name = "base_door_coach_doctor_status")
public class BaseDoorCoachDoctorStatusDO extends UuidIdentityEntityWithOperator {


    /**
     * 医生派单状态
     */
    public enum Status {

        waitForSend(1, "待派单"),
        waitForAccept(2, "待接单"),
        waitForServe(3, "待服务"),
        serving(4, "服务中"),
        stopped(5, "停止接单");

        private Integer type;
        private String desc;

        Status(Integer type, String desc) {
            this.type = type;
            this.desc = desc;
        }

        public Integer getType() {
            return type;
        }

        public void setType(Integer type) {
            this.type = type;
        }

    }

    /**
     * wlyy_doctor中医生code
     */
    private String doctor;

    /**
     * 医生状态：1-待派单，2-待接单，3-待服务，4-服务中，5-停止接单
     */
    private Integer status;


	@Column(name = "doctor")
    public String getDoctor() {
        return doctor;
    }
    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }


	@Column(name = "status")
    public Integer getStatus() {
        return status;
    }
    public void setStatus(Integer status) {
        this.status = status;
    }

}